package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 质控评分模块评分信息
 * </p>
 *
 * @author gaodm
 * @since 2020-05-19
 */
@Data
public class MedQcresultCases implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 医院ID
     */
    private Long hospitalId;
    /**
     * 评分结果ID
     */
    private Long qcresultInfoId;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 数据模块ID（0:其他模块）
     */
    private Long casesId;

    /**
     * 最后得分
     */
    private BigDecimal scoreRes;

    /**
     * 等级
     */
    private String level;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 备注
     */
    private String remark;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getBehospitalCode() {
        return behospitalCode;
    }

    public void setBehospitalCode(String behospitalCode) {
        this.behospitalCode = behospitalCode;
    }

    public Long getCasesId() {
        return casesId;
    }

    public void setCasesId(Long casesId) {
        this.casesId = casesId;
    }

    public BigDecimal getScoreRes() {
        return scoreRes;
    }

    public void setScoreRes(BigDecimal scoreRes) {
        this.scoreRes = scoreRes;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "MedQcresultCases{" +
                "id=" + id +
                ", hospitalId=" + hospitalId +
                ", behospitalCode=" + behospitalCode +
                ", casesId=" + casesId +
                ", scoreRes=" + scoreRes +
                ", level=" + level +
                ", isDeleted=" + isDeleted +
                ", gmtCreate=" + gmtCreate +
                ", gmtModified=" + gmtModified +
                ", creator=" + creator +
                ", modifier=" + modifier +
                ", remark=" + remark +
                "}";
    }
}
